<?


class fmLog extends Form_children {

	function __construct() {
		parent::__construct('fmLog');

		//$this->ui('bt_use_part')->modalResult = mrOk; // на всякий случай, вдруг в форме его случайно поменяем

	}

	function open($msg_bad_block=false) {
		GLOBAL $INFO, $OP, $log;

		$log->update_fulldisplay();

		ShowForm($this->fmName, SW_SHOW);

		//return $this->ui_form->showModal(); // потому что showmodal вернет какую кнопку нажали при выходе из окна.
	}

	// это чтобы размер формы правильно устанавливался в зависимости от видимости блоков
	function onShow() {
		$form = $this->ui_form;
		$form->autoSize=false;
		$form->autoSize=true;
		$form->repaint();
	}

}


?>